githubEdit

eth_protocolVersion - Polygon

Example code for the eth_protocolVersion json-rpc method. Сomplete guide on how to use eth_protocolVersion json-rpc in GetBlock.io Web3 documentation.

The eth_protocolVersion method returns the current Ethereum protocol version used by the node.

Parameters

  • None

Request

curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_protocolVersion",
    "params": [],
    "id": "getblock.io"
}'

Response

response.json
{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": "0x41"
}

Response Parameters

Field
Type
Description

jsonrpc

string

JSON-RPC version (2.0)

id

string

Request identifier

result

varies

Protocol version as hexadecimal

Use Case

The eth_protocolVersion method is useful for:

  • Protocol compatibility

  • Node version detection

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid ACCESS-TOKEN

-32600

Invalid Request

Malformed request body

-32602

Invalid params

Invalid method parameters

Web3 Integration

Last updated

Was this helpful?